JAVA : Programmation pda

[Fermé]
Signaler
Messages postés
6
Date d'inscription
jeudi 6 décembre 2007
Statut
Membre
Dernière intervention
29 juillet 2009
-
Messages postés
6
Date d'inscription
jeudi 6 décembre 2007
Statut
Membre
Dernière intervention
29 juillet 2009
-
Bonjour,

Je travaille sur un projet afin de réaliser des applications personnelles en java pour des PDA sous WinCE 5 et WinPocket 2003.
Après avoir parcouru les forums, j'ai cru comprendre qu'il fallait utiliser J2ME. Malheureusement, j'aurais besoin d'utiliser une librairie externe à J2ME : je l'ai donc ajouté comme d'habitude dans mon projet, mais il me fait part d'une erreur 'java.lang.NoClassDefFoundError'. J'ai donc l'impression que mes librairies ne sont pas reconnues.
Pourtant, le même projet sous J2SE avec l'ajout de mes librairies ne me pose aucun souci...

Est-il possible d'utiliser des bibliothèques externes sous J2ME ? Auriez-vous une idée du problème ?

Merci

5 réponses

Messages postés
4088
Date d'inscription
jeudi 7 avril 2005
Statut
Contributeur
Dernière intervention
30 septembre 2013
852
Bonjour,

En deuxième année j'ai du faire un projet (une application x) dont le but était que l'application en question tourne sur un serveur (machine normale) et que des clients puissent s'y connecter (réseau cable, wi-fi, etc.) afin d'utiliser cette application.
Moi je me suis occupé de la partie serveur, mais un autre groupe était chargé de développer un client pour PDA, et je me souviens qu'ils étaient tombé sur le problème suivant : pour développer sur PDA tu as besoin d'une certain version du JDK (très limité). Cette version est relativement limitée et ne permet pas de tout faire. Peut-être ton erreur vient elle de là, du fait qu'effectivement tu ne puisse pas utiliser la classe que tu as envie d'utiliser ?
Messages postés
6
Date d'inscription
jeudi 6 décembre 2007
Statut
Membre
Dernière intervention
29 juillet 2009

En effet, je me suis penché sur cette histoire de JDK. Il me faudrait un JDK 1.4 au minimum, mais j'ai un peu de mal à identifier les JDK utilisé avec J2ME. Comment puis-je savoir lequel est utilisé (je suis débutant) ? Y a t-il moyen de trouver un JDK 1.4 pour cette application ?

Merci
Salut,

Pour le développement PDA en Java, regarde :
- Les tutoriels Java ME : https://java.developpez.com/cours/#j2me
- La F.A.Q Java ME : https://java.developpez.com/faq/javame/
Messages postés
6
Date d'inscription
jeudi 6 décembre 2007
Statut
Membre
Dernière intervention
29 juillet 2009

Merci Ronald, mais même en regardant la FAQ et les tuto, je n'ai pas réussi à trouver ma réponse.

Quelqu'un sait-il pour cette histoire du JDK et des librairies externes ? Merci à vous...
Messages postés
6
Date d'inscription
jeudi 6 décembre 2007
Statut
Membre
Dernière intervention
29 juillet 2009

Rebonjour à tous,

désolé d'insister mais je n'arrive vraiment pas à trouver mon bonheur...

Quelqu'un a t-il déjà réussi à importer des librairies externes dans J2ME ? Par exemple, des librairies PROGRESS...

Merci d'avance